Wallet
Get History
Authentication Required
http
GET https://api.sih.market/api/v1/wallet/history| Parameter | Type | Example | Description |
|---|---|---|---|
| walletTypeId | number | 1 | See Wallet Type IDs |
| typeIds | string | 1,3,4 | Comma-separated Transaction Type IDs |
| limit | number | 100 | Page size |
| offset | number | 0 | Pagination offset |
Wallet Type IDs
| Value | Description |
|---|---|
| 1 | Main default wallet |
| 2 | Deposit wallet |
Transaction Type IDs
| Value | Description |
|---|---|
| 1 | Purchase |
| 2 | Purchase refund |
| 3 | Transfer between sih.app balances |
| 4 | Deposit item |
| 5 | Purchase finished refund, fair price system |
| 6 | Manual refund |
| 12 | Refund for purchase when cancelling a trade via Steam Protection |
Response 200
json
{
"success": true,
"data": [
{
"id": "527ee278-49e3-4138-b941-f32cc141f03a",
"amount": -0.1,
"typeId": 1,
"data": {
"orderId": 1
},
"created": 1721210563387
}
],
"pagination": {
"limit": 100,
"offset": 0,
"count": 100
}
}Response 400
json
{
"success": false,
"error": "unknown error"
}